SCADA Vulnerabilities & Exposures (SVE)

CRITIFENCE® SCADA Vulnerabilities and Exposures Database (SVE)

[SVE-803484475] Rockwell Automation ControlLogix 5580 and CompactLogix 5380

Date Type Platform Author EDB-ID CVE-ID OSVDB-ID Download App SIS Signature
2017-05-04OtherRockwell AutomationN/AN/AN/AN/AN/AN/A

Source

						
							
								
#
# Rockwell Automation ControlLogix 5580 and CompactLogix 5380
#


### VULNERABLE VENDOR
Rockwell Automation


### VULNERABLE PRODUCT
ControlLogix 5580 and CompactLogix 5380



### RESEARCHER
N/A


### AFFECTED PRODUCTS

The following versions of ControlLogix 5580 and CompactLogix 5380, programmable automation controllers, are affected:

ControlLogix 5580 controllers V28.011, V28.012, and V28.013,
ControlLogix 5580 controllers V29.011,
CompactLogix 5380 controllers V28.011, and
CompactLogix 5380 controllers V29.011.



### IMPACT

Successful exploitation of this vulnerability could cause the device that the attacker is accessing to become unavailable.



### VULNERABILITY OVERVIEW

RESOURCE EXHAUSTION CWE-400

This vulnerability may allow an attacker to cause a denial of service condition by sending a series of specific CIP-based commands to the controller.
CVE-2017-6024 has been assigned to this vulnerability. 
A CVSS v3 base score of 6.8 has been calculated; the CVSS vector string is (AV:N/AC:H/PR:N/UI:N/S:C/C:N/I:N/A:H).




### BACKGROUND

Critical Infrastructure Sectors: Critical Manufacturing, Food and Agriculture, Transportation Systems, and Water
Countries/Areas Deployed: Worldwide
Company Headquarters Location: Milwaukee, Wisconsin




### MITIGATION

Rockwell Automation recommends updating to the latest version of ControlLogix 5580 controllers, Version 30.011 or later, which is available at the following location:

http://compatibility.rockwellautomation.com/Pages/MultiProductDownload.aspx?Keyword=1756-L8&crumb=112


Rockwell Automation recommends updating to the latest version of CompactLogix 5380 controllers, Version 30.011 or later, which is available at the following location:

http://compatibility.rockwellautomation.com/Pages/MultiProductDownload.aspx?Keyword=5069-L&crumb=112


For more information on this vulnerability and more detailed mitigation instructions, please see Rockwell Automation's advisory labeled ControlLogix 5580 and CompactLogix 5380 Programmable Automation Controller Denial of Service, Version 1.0, April 4, 2017, at the following location: 
https://rockwellautomation.custhelp.com/app/answers/detail/a_id/1041420


As well as Rockwell Automation's security page:

http://www.rockwellautomation.com/security/overview.page